@echo off
if .%1 == . goto putusage
if .%2 == . goto putusage
if .%3 == . goto putusage
if ".%3" == "./l" goto argok
if ".%3" == "./L" goto argok
if ".%3" == "./u" goto argok
if ".%3" == "./U" goto argok

:putusage
echo Usage:  From the MS-DOS prompt, change to the directory 
echo         where AutoCAD(R) Windows Release 13 is installed
echo         and either:
echo.
echo         1- If installing from floppy disk and a: is your
echo            floppy drive, type:
echo.
echo               a:wininst a: commonDir [/L or /U]
echo.
echo                  /L == locked ACAD patch
echo                  /U == unlocked ACAD patch
echo.
echo                    --OR--
echo.
echo         2- If installing from a single directory such as
echo            c:\patch, type:
echo.
echo               c:\patch\wininst c:\patch commonDir [/L or /U]
echo.
echo                  /L == locked ACAD patch
echo                  /U == unlocked ACAD patch
echo.
echo         For use with installing from diskettes only!

goto done
:argok
echo.
echo AutoCAD(R) Release 13_c3 update utility, v1.0 (Jun 23, 1995)
echo.
echo This program will update your current AutoCAD Windows Release 13 
echo installation.
echo.
echo Be sure the current directory is where AutoCAD Windows
echo Release 13 is installed before proceeding.
echo.
echo Press CTRL-C to exit now  --OR--
pause

rem Verify that the destination is the R13 Windows directory
if exist acad.exe goto comchk
echo.
echo R13_c2 ACAD.EXE not found.  Are you sure you're in the 
echo directory where R13_c2 Windows ACAD.EXE is installed?
echo.
goto done 

:comchk

rem Verify that %2 is the R13 Common directory
if exist %2\acad1.mid goto doit
echo.
echo %2\acad1.mid not found.  Are you sure 
echo %2 is the R13 common directory?
echo.
goto done 

:doit

@copy %1\patch.exe .
@copy %1\llatsniw.bat .
.\llatsniw %1 %2 %3

:done
